# TdApi.SessionType (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SessionType

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SessionType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SessionType

Direct Known Subclasses:
  `TdApi.SessionTypeAndroid`, `TdApi.SessionTypeApple`, `TdApi.SessionTypeBrave`, `TdApi.SessionTypeChrome`, `TdApi.SessionTypeEdge`, `TdApi.SessionTypeFirefox`, `TdApi.SessionTypeIpad`, `TdApi.SessionTypeIphone`, `TdApi.SessionTypeLinux`, `TdApi.SessionTypeMac`, `TdApi.SessionTypeOpera`, `TdApi.SessionTypeSafari`, `TdApi.SessionTypeUbuntu`, `TdApi.SessionTypeUnknown`, `TdApi.SessionTypeVivaldi`, `TdApi.SessionTypeWindows`, `TdApi.SessionTypeXbox`

Enclosing class:
  TdApi

public abstract static class TdApi.SessionType extends TdApi.Object
This class is an abstract base class.

## Constructor Summary

Constructors
Constructor
Description
`SessionType()`

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionType

public SessionType()